% global config file for GTCM
% [subjectResults totalEval] = do_inference('config')
% RS 2009 05 12

allResultsFile = 'allResults.txt';

PerDataSetFolder = 'data/sederberg/perData.mat';
usedDataset = 'per';
useCorpus = 'tasa';

% Category Free Association - Intra and Extra list free association
% CFA_LIST = 0
% Temporal Free Recall - Free recall from a list of unrelated items
% TFR_LIST = 1
% Category Free Recall - Free recall from a semantically coherent list
% CFR_LIST = 2
possListTypes = {'cfa','tfr','cfr'};
InferParam.listType = 1;


%%% parameters for inference
% any list pair where more than this number of words are missing are
% ignored
InferParam.maxMissingWords = 2;
InferParam.skipListsWithMultipleEqualWords = 1;

InferParam.numOfParticles = 900;
InferParam.numOfSubjects = 30;


InferParam.numOfTrials = 100;

% if this is 1, then we only use lists of words we have in LDA.vocab and
InferParam.onlyCleanRecallLists = 1;

InferParam.distanceMetric = 'kldiv'; % see slmetric_pw for other possible parameters

% if this is zero, the deltas of already recalled
% words will be zero, otherwise, they will be multiplied by this value (and then
% normalized), resulting in a different model.
InferParam.lowerRecalledWordWeight = 0;


% choose xor:
InferParam.oneParamSetForAll = 0;
InferParam.subjectHier = 1;


HyperParam.eps_gamma_k = 1.7; %theta = 1, E(x) = k*theta, p(x) = x^(k-1)*exp(-x)/gamma(k).

HyperParam.sigma_gamma_k =       0.0050;
HyperParam.lambda_beta = [       0.0000       2.0000];
HyperParam.eta_s_beta = [       1.0000       1.0000];
HyperParam.eta_r_dirichlet = [       1.0000       1.0000       1.0000];


